#include <stdio.h>
#include <stdlib.h>

int main()
{
    int a, b, x, y;
    
    scanf("%d%d", &a, &b);
    scanf("%d%d", &x, &y);

    if(x != a && y == b)
    {
        printf("prvi");
    }

    else if(x == a && y != b)
    {
        printf("drugi");
    }

    else if(x == a && y == b)
    {
        printf("nijedan");
    }

    else
    {
        printf("?");
    }

    return 0;
}